Skip to main content
POST
/
api
/
v1
/
account
/
lookup-companies
Lookup companies
curl -sS -X POST "https://api.openfunnel.dev/api/v1/account/lookup-companies" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"companies": [{"domain": "stripe.com"}, {"linkedin_url": "https://www.linkedin.com/company/adyen"}, {"name": "Plaid"}]}'
import requests

url = "https://api.openfunnel.dev/api/v1/account/lookup-companies"

payload = { "companies": [
{
"name": "<string>",
"domain": "<string>",
"linkedin_url": "<string>"
}
] }
headers = {
"X-API-Key": "<x-api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({companies: [{name: '<string>', domain: '<string>', linkedin_url: '<string>'}]})
};

fetch('https://api.openfunnel.dev/api/v1/account/lookup-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "input": {
        "name": null,
        "domain": "stripe.com",
        "linkedin_url": null
      },
      "status": "resolved",
      "matches": [
        {
          "company_id": "ww_39dde6f3035d07e7e55e882f05ec6d7e",
          "name": "Stripe",
          "domain": "stripe.com",
          "linkedin_url": "https://www.linkedin.com/company/stripe",
          "linkedin_slug": "stripe",
          "employee_count_min": 5000,
          "employee_count_max": 10000,
          "stage": "private_equity",
          "industries": "Financial Services, FinTech",
          "location_city": "San Francisco",
          "location_country": "United States",
          "location_country_code": "us",
          "matched_on": "domain",
          "score": null
        }
      ]
    },
    {
      "input": {
        "name": "Plaid",
        "domain": null,
        "linkedin_url": null
      },
      "status": "resolved",
      "matches": [
        {
          "company_id": "ww_55c8eee3a23eab95f8cc650641deea75",
          "name": "Plaid",
          "domain": "plaid.com",
          "linkedin_url": "https://www.linkedin.com/company/plaid",
          "linkedin_slug": "plaid",
          "employee_count_min": 1200,
          "employee_count_max": 1200,
          "stage": "series_unknown",
          "industries": "Finance, Banking, FinTech",
          "location_city": "San Francisco",
          "location_country": "United States",
          "location_country_code": "us",
          "matched_on": "name",
          "score": 0.97
        }
      ]
    },
    {
      "input": {
        "name": null,
        "domain": "this-domain-does-not-exist-xyz.com",
        "linkedin_url": null
      },
      "status": "not_found",
      "matches": []
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

X-API-Key
string
required

Body

application/json

Batch company lookup: resolve up to 100 companies by identifier.

companies
CompanyLookupItem · object[]
required

1-100 companies to resolve.

Required array length: 1 - 100 elements

Response

One result per input company, in request order.

Response for the batch company lookup endpoint (one result per input, in request order).

results
CompanyLookupItemResult · object[]
required